import { SimpleLocalIntegration } from '../../core/index.js';
import { FjaraskupanConfigFlow } from './fjaraskupan.classes.configflow.js';
import { createFjaraskupanDiscoveryDescriptor } from './fjaraskupan.discovery.js';
import type { IFjaraskupanConfig } from './fjaraskupan.types.js';
import { fjaraskupanDomain, fjaraskupanProfile } from './fjaraskupan.types.js';

export class FjaraskupanIntegration extends SimpleLocalIntegration<IFjaraskupanConfig> {
  public readonly domain = fjaraskupanDomain;
  public readonly discoveryDescriptor = createFjaraskupanDiscoveryDescriptor();
  public readonly configFlow = new FjaraskupanConfigFlow();

  constructor() {
    super(fjaraskupanProfile);
  }
}

export class HomeAssistantFjaraskupanIntegration extends FjaraskupanIntegration {}
